Scrum - Defect #900

Calendar does not display for scrum 0.7.1 & 0.7.0--500 internal error
2014-11-19 09:30 - an li

Status: Rejected

Priority: Urgent

Category:

Target version:

Source: Development Blocked:
Detected on version: Scrum v0.7.1 Alone:
Description

scrum 0.7.1+0.7.0 are both tested with this error.Can there is a fixing for scrum 0.7.1? For we can not use scrum 0.8.0 now, our
projects are all using scrum 0.7.x.

Test Env.
Environment:
Redmine version 2.3.2.stable
Ruby version 1.9.3-p231 (2012-05-25) [1i386-mingw32]
Rails version 3.2.13
Environment production
Database adapter Mysql2

Redmine plugins:
clipboard_image_paste
copy_parent_issue_id
fields_permissions
localizable
progressive_projects_list
redmine_agile
redmine_all_files
redmine_app__space
redmine_banner
redmine_better_gantt_chart
redmine_changelog
redmine_checkbox_wiki
redmine_checklists
redmine_close_button
redmine_code_review
redmine_custom_reports
redmine_daily_scrum
redmine_dashboard
redmine_didyoumean
redmine_documents_short
redmine_issue_statistics
redmine_issue_templates
redmine_knowledgebase
redmine_lightbox
redmine_login_audit
redmine_logs
redmine_message_issues
redmine_monitoring_controlling
redmine_my_page_queries
redmine_new_user_notification
redmine_parking_lot_chart
redmine_pdf_export_backports
redmine_plugin_views_revisions
redmine_recent_wiki_pages
redmine_release_notes
redmine_reminder
redmine_theme_changer
redmine_time_entry_limit
redmine_wiki_backlinks 0.0.2
redmine_wiki_notes 0.0.2
redmine_wiki_templates 0.1.1
redmine_xls_export 0.2.1.t6
redmine_xlsx_format_issue_exporter 0.1.0
scrum 0.7.0
sidebar_hide 0.0.6
wiking 1.0.0b

Production.log:

An error occurred while executing the query and has been logged. Please report this error to your
Redmine administrator.

Started GET "/redmine/projects/xxx/issues/calendar" for xxat 2014-11-17 14:35:31 +0800
Processing by CalendarsController#show as HTML
Parameters: {"project_id"=>"xx}
Current user: xx (1d=28)
Creating scope :system. Overwriting existing method Enumeration.system.
Query::StatementInvalid: Mysqgl2::Error: Column 'start_date' in where clause is ambiguous: SELECT

issues . id’ AS t0_r0, “issues . tracker_id" AS tO_rl, “issues . project_id’ AS t0_r2, “issues . s
ubject®™ AS t0_r3, “issues . description’ AS t0_r4, “issues’ . due_date’ AS tO_r5, "issues . categor
y_id® AS t0_r6, “issues . status_id® AS tO_r7, “issues . assigned_to_id® AS t0_r8, “issues . prior
ity_id® AS tO_r9, “issues . fixed_version_id® AS t0_rl0, “issues’ . author_id' AS t0_rll, “issues’ .
“lock_version® AS t0O_rl2, “issues . created_on® AS t0_rl3, “issues’ . updated_on' AS t0_rl4, "issue
s’ . start_date’ AS t0_rl5, “issues’ . done_ratio® AS tO_rl6, “issues . estimated_hours’® AS tO_rl7,

‘issues . parent_id® AS t0O_rl1l8, “issues . root_id' AS t0_rl9, “issues’ . 1lft’ AS t0_r20, “issues .’
rgt® AS tO_r21, “issues . 1s_private’ AS t0_r22, ‘issues . closed_on  AS t0_r23, “issues . sprint_

id® AS t0_r24, “issues . position’ AS t0_r25, “projects . id’ AS tl_r0, “projects . name’ AS tl_rl
, ‘projects . description® AS tl_r2, “projects’ . homepage’ AS tl_r3, ‘projects . is_public® AS tl_
r4, “projects’ . parent_id' AS tl_r5, ‘projects . created_on' AS tl_r6, “projects’ . updated_on  AS
tl_r7, “projects’ . identifier’ AS tl_r8, ‘projects . status’® AS tl_r9, “projects . 1ft® AS tl_rloO,
‘projects’ . rgt® AS tl_rll, ‘projects . inherit_members® AS tl_rl2, ‘projects . product_backlog_i

d” AS tl_rl3, "projects . enforce_issue_id’ AS tl_rl4, "issue_statuses . id’ AS t2_r0, "~ issue_stat
uses . name® AS t2_rl, " issue_statuses . is_closed’ AS t2_r2, “issue_statuses . is_default® AS t2_
r3, “issue_statuses . position’ AS t2_r4, "issue_statuses . default_done_ratio’ AS t2_r5, ‘tracker

s’ . id" AS t3_r0, “trackers’ . name’ AS t3_rl, ‘trackers' . is_in_chlog® AS t3_r2, “trackers . posit
ion® AS t3_r3, “trackers'. is_in_roadmap’ AS t3_r4, ‘trackers . fields_bits® AS t3_r5, “users’ . id

AS t4_r0, ‘users . login’® AS t4_rl, ‘users . hashed_password  AS t4_r2, “users . firstname' AS t
4 _r3, “users . lastname’ AS t4_r4, ‘users . mail’ AS t4_r5, “users’ . admin® AS t4_r6, ‘users . sta
tus® AS t4_r7, ‘users . last_login_on® AS t4_r8, “users . language  AS t4_r9, “users . auth_source
_id® AS t4_rl10, “users . created_on  AS t4_rll, ‘users . updated_on® AS t4_rl2, “users . type  AS
t4_rl3, “users . identity_url® AS t4_rl4, ‘users . mail_notification® AS t4_rl5, ‘users . salt’ AS
t4_rl6, “users . apps’ AS t4_rl7, “enumerations . id’ AS t5_r0, “enumerations . name' AS t5_rl,
enumerations’ . position® AS t5_r2, “enumerations . is_default® AS t5_r3, “enumerations’ . type  AS
t5_r4, “enumerations’ . active' AS t5_r5, ‘enumerations’. project_id' AS t5_r6, ‘enumerations’ . par
ent_id® AS t5_r7, ‘enumerations’ . position_name® AS t5_r8, “sprints’ . id’ AS t6_r0, “sprints’ . nam

e’ AS t6_rl, “sprints’. description® AS t6_r2, “sprints’. start_date’ AS t6_r3, ‘sprints . end_dat
e’ AS t6_r4, “sprints’ . user_id’ AS t6_r5, ‘sprints’ . project_id® AS t6_r6, " sprints’ . created_on’
AS t6_r7, “sprints . updated_on® AS t6_r8, “sprints’ . is_product_backlog’ AS t6_r9 FROM " issues’

LEFT OUTER JOIN "projects’ ON "projects . id’ = “issues . project_id  LEFT OUTER JOIN " issue_statu
ses’ ON ‘issue_statuses . id’ = “issues . status_id’ LEFT OUTER JOIN "trackers’® ON "trackers . id"
= ‘issues’ . tracker_id® LEFT OUTER JOIN ‘“users’ ON ‘“users . 1d’ = “issues . assigned_to_id" LEFT
OUTER JOIN " enumerations’™ ON ‘enumerations’ . 1d’ = “issues’ . priority_id® AND " enumerations . type

IN ('IssuePriority') LEFT OUTER JOIN " sprints’ ON ‘“sprints’ . id’ = “issues’ . sprint_id’ WHERE ((
(projects.status <> 9 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.na
me='issue_tracking')) AND ((projects.id IN (30) AND ((issues.is_private = 0 OR issues.author_id =

28 OR issues.assigned_to_id IN (28,24,69,239)))) OR (projects.id IN (30) AND ((issues.is_private =
0 OR issues.author_id = 28 OR issues.assigned_to_id IN (28,24,69,239)))) OR (projects.id IN (26)
AND ((issues.is_private = 0 OR issues.author_id = 28 OR issues.assigned_to_id IN (28,24,69,239))))
))) AND (((start_date BETWEEN '2014-10-26' AND '2014-12-06') OR (due_date BETWEEN '2014-10-26' AND
'2014-12-06"))) AND ((issues.status_id IN (SELECT id FROM issue_statuses WHERE is_closed=0)) AND

projects.id = 30)
Rendered common/error.html.erb within layouts/base (0.0ms)
Rendered plugins/redmine__select2/app/views/redmine__select2/_includes.html.erb (0.0Oms)
Rendered plugins/redmine_code_review/app/views/code_review/_html_header.html.erb (0.0ms)
Rendered plugins/redmine_create_wiki_page/app/views/create_wiki_page/_init_create_wiki_page.erb
(0.0ms)

Rendered inline template (15.6ms)

Rendered plugins/scrum/app/views/scrum_hooks/_head.html.erb (0.0Oms)

Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_headers.html.erb (0.0ms)

Rendered plugins/redmine_simple/app/views/hooks/redmine_simple/_includes.html.erb (0.0ms)
Starting Application Space plugin for Redmine

Rendered plugins/progressive_projects_list/app/views/application/_progressive_sidebar.html.erb (
0.0ms)
Creating scope :sorted. Overwriting existing method User.sorted.

Rendered plugins/progressive_projects_list/app/views/application/_progressive_recent_projects.ht
ml.erb (0.0ms)

Rendered plugins/redmine_banner/app/views/banner/_project_body_bottom.html.erb (0.0ms)

Rendered plugins/sidebar_hide/app/views/sidebar/_hideButton_partial.html.erb (15.6ms)

Rendered plugins/redmine_banner/app/views/banner/_body_bottom.html.erb (0.0ms)

Rendered plugins/redmine_banner/app/views/banner/_after_top_menu.html.erb (0.0ms)

Rendered plugins/redmine_code_review/app/views/code_review/_body_bottom.html.erb (0.0ms)

Rendered plugins/clipboard_image_paste/app/views/clipboard_image_paste/_add_form.html.erb (0.0ms
)

Completed 500 Internal Server Error in 796ms (Views: 421.2ms | ActiveRecord: 93.6ms)

Related issues:
Has duplicate Scrum - Defect #847: Calendar shows 500 after install Resolved

History

#1 - 2015-01-22 12:29 - Stanislas Dourdin

Hello,

| posted a solution here : https://redmine.ociotec.com/issues/847#note-4

#2 - 2015-01-22 14:47 - Stanislas Dourdin

an li escribi6:

scrum 0.7.1+0.7.0 are both tested with this error.Can there is a fixing for scrum 0.7.1? For we can not use scrum 0.8.0 now, our projects are all
using scrum 0.7.x.

I would like to add that upgrading to 0.8.0 does not correct the problem.

#3 - 2015-01-23 19:53 - Emilio Gonzalez Montaina
- Has duplicate Defect #847: Calendar shows 500 after install added

#4 - 2015-01-23 19:53 - Emilio Gonzalez Montaina

- Status changed from New to Rejected

Duplicated by #847.

Files

500 error when going to calendar.png 10.1 KB 2014-11-19 an li
